var currentObj;
var tabIndex;
var psrc;
var bread;
var phbid;
var bangid;
var currentVolume;
var nowDate;
var infoTxt = '';
var txtLen = 0;
var currentName;
window.onload = function(){
	centerLoadingStart("content");
	currentObj = fobj.goldjson;
	phbid = currentObj.id;
	psrc = getStringKey(currentObj.other,'psrc');
	bread = getStringKey(currentObj.other,'bread');	
	bangid = getStringKey(currentObj.other,'bangid') || 0;
	tabIndex = getStringKey(currentObj.other,'tabIndex') || 0;
	createBread(currentObj,'playlist');
	getSomeData();
	objBindFn();
};

$(window).resize(function(){
	iframeObj.refresh();
	refreshInfoTxt();
});

// 获取榜单信息
function getSomeData() {
	var url = 'http://qukudata.kuwo.cn/q.k?op=query&cont=ninfo&node='+currentObj.sourceid+'&pn=0&rn=10&fmt=json&src=mbox&callback=getBangInfoData';
    getScriptData(url);
}

// 创建榜单内容
function getBangInfoData (jsondata) {
	var data = jsondata;
	var infoData = data.ninfo;
	var name = infoData.name;
	currentName = name;
	var intro = infoData.intro;
	var info = infoData.info.replace('更新于','');
	var pic = infoData.pic;
	var child = data.child;
	var len = child.length;
	var arr = [];
	nowDate = '更新时间：' + info;
	psrc = psrc + name;
	infoTxt = intro.replace(/<br\/>/g,'');
	txtLen = infoTxt.length;
	var rankurl = "";
	for(var i=0; i<len; i++) {
		var disname = child[i].disname;
		var sourceid = child[i].sourceid;
		var oClass = '';
		if (i == tabIndex) { 
			oClass = 'current';
			var url = 'http://kbangserver.kuwo.cn/ksong.s?from=pc&fmt=json&type=bang&data=content&id='+currentObj.id+'&pn=0&rn=200&isbang=1&callback=getBangTabListData&show_copyright_off=1';
			url = getChargeURL(url);
			if (bangid) url += '&bangid='+ bangid;
			rankurl = url;
		}
		arr[arr.length] = '<a hidefocus href="###" c-id="';
		arr[arr.length] = sourceid;
		arr[arr.length] = '" class="';
		arr[arr.length] = oClass;
		arr[arr.length] = '">';
		arr[arr.length] = disname;
		arr[arr.length] = '</a>';
	}
	if (len < 2) {
		$(".tab").hide();
	} else {
		$(".tab").html(arr.join('')).show();	
	}
	$(".bang_head .pic img").attr("src",pic);
	$(".bang_head .name .bang_name").html(name);
	$(".bang_head .info span").html(intro);
	$(".bread span").html(name);
	$(".radio_btn").attr({"c-id":phbid,"c-name":name});
	getScriptData(url);
	showRadio(phbid,"rank");
	refreshInfoTxt();
	iframeObj.refresh();
}

// 创建榜单列表榜数据
function getBangTabListData(jsondata) {
	var data = jsondata;
	var type = data.type;
	var volumeData = data.volume;
	currentVolume = data.currentVolume;
	if (volumeData) {
		createVolume(volumeData,currentVolume);
	} else {
		$(".bang_head .time").html(nowDate);
	}
	if(type=="music"){
	    createMusicList(data);
	}else if(type=="album"){
	    createAlbumList(data);
	}else if(type=="artist"){
	    createArtistList(data);
	}else if(type=="mv"){
	    createMVList(data);
	}else{
	    centerLoadingEnd("content");
	    iframeObj.refresh();    
	}
}

function createVolume(volumeData,currentVolume) {
	var pastV = volumeData;
	var currentV = currentVolume;
	var weekarr = [];
	var volumearr = [];
	var sortarr = [];
	for (var i in pastV) {
		weekarr[weekarr.length] = '<a href="###" hidefocus><i></i>'+i+'</a>';
		volumearr.push(pastV[i]);
		sortarr.push(parseInt(i,10));
	}
	if (sortarr.length < 2) return;
	if (sortarr[0] < sortarr[1]) {
		weekarr.reverse();
		volumearr.reverse();
	}
	if (weekarr.length > 4) weekarr.length = 4;
	if (volumearr.length > 4) volumearr.length = 4;	
	var bigstr = '';
	var bigarr = [];
	for (var i=0; i<volumearr.length; i++){
		var obj = volumearr[i];
		var yeararr = [];
		for (var j=0; j<obj.length; j++){
			var someObj = obj[j];
			var id = someObj.third_id;
			var name = someObj.name;
			yeararr[yeararr.length] = '<a href="###" hidefocus class="week" title="'+name+'期" c-id="'+id+'">'+name+'期</a>'
		}
		bigarr[bigarr.length] = '<div class="year_box" style="display:none;" c-index="'+i+'">'+yeararr.join('')+'</div>' 
		bigstr = bigarr.join('');
	}
	var navstr = '<div class="sub_nav" style="margin-bottom:5px;width:205px;">' + weekarr.join('') + '</div>';
	$(".type_list").html(navstr + bigstr);
	if (currentV == '0|0'){
		var week = $(".year_box").eq(0).find(".week").eq(0).text();
		$(".sort font").html(week);
		$(".year_box").eq(0).show();
		$(".sub_nav>a").eq(0).addClass("current");
		$(".year_box").eq(0).find(".week").eq(0).addClass("current");		
	} else {
		var currentYear = currentV.split('|')[0];
		var currentWeek = currentV.split('|')[1] + '期';
		var ai = 0;
		var bi = 0;
		$(".sort font").html(currentWeek);
		$(".sort").attr("title",currentWeek);
		$(".sub_nav>a").each(function(i){
			var year = $(this).text();
			if (year == currentYear) {
				ai = i;
				$(".year_box").eq(i).show();
				$(".sub_nav>a").eq(i).addClass("current");
				$(".year_box").eq(i).find("a").each(function(j){
					if ($(this).html() == currentWeek) {
						bi = j;
						$(this).addClass("current");
					}
				});
			}
		});
		if (ai!=0 || bi!=0) nowDate = currentYear +'年第'+currentWeek;
	}
	$(".bang_head .time").html(nowDate);
	$(".bang_head .time").html(nowDate);
	$(".sort_wrap").show();
}

// 创建歌曲列表
function createMusicList(jsondata) {
	var data = jsondata;
	var child = data.musiclist;
	var len = child.length;
	var arr = [];
	MUSICLISTOBJ = {};
	if(psrc==''){
	    psrc = '排行榜->'+currentName;
	}
	for (var i = 0; i < len; i++) {
		arr[arr.length] = createBangMusicList(child[i],i,psrc);
	}
	$(".checkall font").html("共"+len+"首");
	$(".selall").show();
	$(".kw_block_list").hide().html("");		
	setTimeout(function(){
	    $(".kw_music_list").get(0).innerHTML = arr.join(''); 
	    setTimeout(function(){
	        centerLoadingEnd("content");
	        iframeObj.refresh();
	    },1);   
    },1);	
}

// 创建专辑列表
function createAlbumList(jsondata) {
	var data = jsondata;
	var child = data.albumlist;
	var len = child.length;
	var arr = [];
	for (var i = 0; i < len; i++) {
		arr[arr.length] = createAlbumBlock(child[i],'bang');
	}
	$(".selall").hide();
	$(".kw_music_list").hide().html("");
	setTimeout(function(){
	    $(".kw_block_list").get(0).innerHTML = arr.join('');
        centerLoadingEnd("content");
        iframeObj.refresh();
	},1);   
}

// 创建歌手列表
function createArtistList(jsondata) {
	var data = jsondata;
	var child = data.artistlist;
	var len = child.length;
	var arr = [];
	for (var i = 0; i < len; i++) {
		arr[arr.length] = createArtistBlock(child[i],'bang');
	}
	$(".selall").hide();
	$(".kw_music_list").hide().html("");
	setTimeout(function(){
	    $(".kw_block_list").get(0).innerHTML = arr.join('');
        centerLoadingEnd("content");
        iframeObj.refresh();
	},1);   
}

// 创建MV列表
function createMVList(jsondata) {
	var data = jsondata;
	var child = data.mvlist;
	var len = child.length;
	var arr = [];
	for (var i = 0; i < len; i++) {
		arr[arr.length] = createMVBlock(child[i],'bang','','排行榜->'+currentName+"(MV榜)");
	}
	$(".selall").hide();
	$(".selall_mv").find("font").html("共"+len+"首");
	$(".selall_mv").css({"position":"relative","left":"0px"});
	$(".kw_music_list").hide().html('');
	setTimeout(function(){
	    $(".kw_block_list").get(0).innerHTML = arr.join('');
        centerLoadingEnd("content");
        iframeObj.refresh();
	},1); 
}

function refreshInfoTxt() {
	if ($(".info").hasClass("on")) return;
	var num = Math.floor(parseInt($(".info").width()) / 12.6) * 2 - 6;
	var text = '';
	if (txtLen > num){
		text = infoTxt.substring(0,num) + '...<a href="###" hidefocus class="open">[更多]</a>';
	} else {
		text = infoTxt;
	}
	$(".info span").html(text);
}

function objBindFn() {
	$(".open").live("click",function(){
		$(".info").addClass("on");
		$(".info span").html(infoTxt + '<a href="###" hidefocus class="fold">[收起]</a>');
		return false;
	});
	
	$(".fold").live("click",function(){
		$(".info").removeClass("on");
		refreshInfoTxt();
		return false;
	});	
	
	$(".tab a").live("click",function(){
		var id = $(this).attr("c-id");
		var other = '|psrc='+psrc+'|bread='+bread+'|tabIndex='+ $(this).index();
		// var other = '|psrc='+psrc+'|bread='+bread+'|tabIndex='+tabIndex+'|pn=0|bangid='+bangid;

		fobj.commonClick(new Node(currentObj.source,currentObj.sourceid,currentObj.name,id,'',other));
		return false;
	});
	
	$(".sub_nav>a").live("click",function(){
		var index = $(this).index();
		$(this).addClass("current").siblings().removeClass("current");
		$(".year_box").eq(index).show().siblings(".year_box").hide();
		return false;
	});
	
	$(".year_box .week").live("click",function(){
		var bangid = $(this).attr("c-id");
		var other = '|psrc='+psrc+'|bread='+bread+'|tabIndex='+tabIndex+'|pn=0|bangid='+bangid;
		fobj.commonClick(new Node(currentObj.source,currentObj.sourceid,currentObj.name,currentObj.id,'',other));
		return false;
	});	
	
	$(".close").live("click",function(){
		$(".big_list").hide();
		return false;
	});
	
	$(".sort").live("click",function(){
	    try{
	        var ph = $(window.parent.document).find("#frame_content").height()-20;
	        var h = $(".max_content").height();
	        if(h<ph){
	            $(".max_content").height(ph);
	        }
	    }catch(e){}
		$(".big_list").isShow() ? $(".big_list").hide() : $(".big_list").show();
		return false;
	});
}