var popInfListener = null;
function showPopInf(type, inf, func, timespan,ignoreLeft) {
	var html = '<p><em></em><span class="fl">' + inf + '</span></p>';
	var resultObj = document.createElement('div');
	resultObj.id = 'popResult';
	if(type == 'ok') {
		resultObj.className = 'okBox';
	} else if(type == 'err') {
		resultObj.className = 'errorBox';
	} else if(type == 'inf') {
		resultObj.className = 'okBox';
	} else if(type == 'warn') {
		resultObj.className = 'tipsBox';
	}
	resultObj.innerHTML = html;

	if(popInfListener) {
		$('popResult').remove();
		popInfListener = null;
	}

	document.body.appendChild(resultObj);
	setCenter($('popResult'),ignoreLeft);

	popInfListener = setTimeout(function() {
		popInfListener = null;
		if(func != null) {
			func();
		}
		if(document.getElementById('popResult')) {
			$('popResult').remove();
		}
	}, (timespan==null || isNaN(parseInt(timespan)))?2000:parseInt(timespan));

}

function setCenter(obj,ignoreLeft) {
	obj = $(obj);
	obj.style.position = 'absolute';
	var cw = document.viewport.getWidth();
	var ch = document.viewport.getHeight();
	var sl = document.viewport.getScrollOffsets().left;
	var st = document.viewport.getScrollOffsets().top;
	if(ignoreLeft){
		var left = parseInt((cw - obj.getWidth()) / 2) + sl + 'px';
	}else{
		var left = parseInt((cw - obj.getWidth()) / 2) + sl + 82 + 'px';
	}
	var top = parseInt((ch - obj.getHeight()) / 2) + st + 'px';
	obj.style.left = left;
	obj.style.top = top;
}

function hidePopInf(){
	if(document.getElementById('popResult')) {
		$('popResult').remove();
	}
}