var targetObj = {};
window.onload = function() {
	centerLoadingStart("content");
	var url = 'http://qukudata.kuwo.cn/q.k?op=query&cont=tree&node=2&pn=0&rn=20&fmt=json&src=mbox&level=2&callback=getBangListData';
	var hotBangUrl = 'http://kbangserver.kuwo.cn/ksong.s?from=pc&fmt=json&type=bang&data=content&id=16&pn=0&rn=20&callback=getHotBangListData';
	getScriptData(url);
	getScriptData(getChargeURL(hotBangUrl));
	objBindFn();
	iframeObj.refresh();
};

$(window).resize(function() {
	iframeObj.refresh();
});

// 获取榜单页面数据
function getBangListData(jsondata) {
	var data = jsondata;
	var child = data.child;
	var len = child.length;
	var classify = '';
	for (var i = 0; i < len; i++) {
		if (child[i].pc_extend.indexOf('NOTSHOWPC2015') > -1) continue;
		var sourceid = child[i].sourceid;
		if (sourceid==17 || sourceid==16 || sourceid == 93) {
			$(".txt"+sourceid).html(child[i].intro);
			continue;
		}
		var cname = getStringKey(child[i].pc_extend,"BDTYPE").split('-')[0];
		var oid = 'BD_' + getStringKey(child[i].pc_extend,"BDTYPE").split('-')[1];
		if (!cname) {
			cname = '特色榜';
			oid = 'BD_sbshow';
		}
		if (classify.indexOf(cname) == -1) {
			classify = classify + '|'+ cname;
			$(".bang_con .bang_list")[0].innerHTML += '<h2><span class="title">'+cname+'</span></h2><ul id="'+ oid + '" class="kw_album_list">'+createBangBlock(child[i], 'bang', 0)+'</ul>';
		} else {
			$("#"+oid)[0].innerHTML += createBangBlock (child[i], 'bang', 0);
		}
	}
	centerLoadingEnd("content");
	iframeObj.refresh();
}

function getHotBangListData(jsondata) {
	var data = jsondata;
	var child = data.musiclist;
	var len = child.length;
	var arr = [];
	var strl = '';
	var strr = '';
	var xia = 0;
	MUSICLISTOBJ = {};
	for (var i = 0; i < len; i++) {
		arr[xia++] = createfixedMusicList (child[i],'bang',i,'排行榜->'+data.name);
		if (i == 9) {
			strl = arr.join('');
			arr = [];
			xia = 0;
		}
		if (i == len - 1)  strr = arr.join('');
	}
	var bigstr = '<ul style="margin-right:30px;">'+strl+'</ul><ul>'+strr+'</ul>';
	$(".bang_con .fixed_list").html(bigstr);
	$(".bang_list").show();
	centerLoadingEnd("content");	
	iframeObj.refresh();
}

function objBindFn() {
	$(".bang_head a").live("click",function(){
		MUSICLISTOBJ = {};
		$(this).addClass('current').siblings().removeClass('current');
		var tabId = $(this).attr('c-id');
		var url = 'http://kbangserver.kuwo.cn/ksong.s?from=pc&fmt=json&type=bang&data=content&id='+tabId+'&pn=0&rn=20&callback=getHotBangListData';
		getScriptData(getChargeURL(url));
		return false;
	});		
	$(".all_jump").live("click", function(){
		var sourceid = $(".bang_head .current").attr("c-sourceid");
		var name = $(".bang_head .current").attr("c-name");
		var id = $(".bang_head .current").attr("c-id");
		var other = '|psrc=排行榜->|bread=-2,2,排行榜,0';
		fobj.commonClick(new Node(1,sourceid,name,id,'',other));
		return false;
	});
	if(isIE6){
	    $(".fixed_list ul li").live("mouseenter",function(){
	        $(this).addClass("lihover");
	        return false;
	    });
	    $(".fixed_list ul li").live("mouseleave",function(){
	        $(this).removeClass("lihover");
	        return false;
	    });
	}
}