var currentObj;
var artistId;
var tabType;
var psrc;
var bread;
var pn = 0;
var rn = 100;
var albumRn = 100;
var mvRn = 80;
var someDataObj = {};
var artistFrom = 'def';
var sortby = 0;
var currentArtistName;
window.onload = function(){
	centerLoadingStart("content");
	currentObj = fobj.goldjson;
	artistId = currentObj.sourceid;
	psrc = getStringKey(currentObj.other,'psrc');
	bread = getStringKey(currentObj.other,'bread');
	sortby = getStringKey(currentObj.other,'sortby') || 0;
	tabType = getStringKey(currentObj.other,'tabType') || 'song';
	pn = getStringKey(currentObj.other,'pn') || 0;
	createBread(currentObj,"artist");
	if(artistId=="client"){
	    getArtistIdByName(currentObj);    
	}else{
	    getSomeData();    
	}
	objBindFn();
};

$(window).resize(function(){
	iframeObj.refresh();
});
function getArtistIdByName(nodeobj){
	var url = "http://search.kuwo.cn/r.s?stype=artistinfo&artist="+encodeURIComponent(nodeobj.name)+"&callback=showArtistId";
	getScriptData(url);
}
function showArtistId(jsondata){
	var data = jsondata;
	if(typeof(data)=="undefined" || data==null || typeof(data.id)=="undefined"){
		return;
	}
	artistId = data.id;
	getSomeData();
	data = null;
}
// 获取歌手数据
function getSomeData() {
	var url = 'http://search.kuwo.cn/r.s?stype=artistinfo&artistid='+artistId+'&callback=getArtistInfoData';
	getScriptData(url);
	var type = tabType;
	if (type == 'song') {
		$(".selall").show();
		$(".selall_mv").hide();
		$(".tab .song").addClass("current").siblings().removeClass("current");
		$(".tab").show();
		$(".w_song").show();
		getSongList();
	} else if (type == 'new') {
		artistFrom = 'new';
		$(".selall").show();
		$(".selall_mv").hide();
		$(".tab .new").addClass("current").siblings().removeClass("current");
		$(".tab").show();
		$(".w_new").show();
		$(".selall .checkall,.sort_wrap").remove();
		$(".w_newsong").show();
		getNewList();
	} else if (type == 'album') {
		$(".selall").hide();
		$(".tab .album").addClass("current").siblings().removeClass("current");
		$(".tab").show();
		$(".w_album").show();		
		getAlbumList();
	} else if (type == 'mv') {
		$(".selall").hide();
		$(".tab .mv").addClass("current").siblings().removeClass("current");
		$(".tab").show();
		$(".w_mv").show();
		getMvList();
	} else if (type == 'similar') {
		$(".selall").hide();
		$(".tab .similar").addClass("current").siblings().removeClass("current");
		$(".tab").show();
		$(".w_similar").show();		
		getSimilarList();
	} else if(type == 'info'){
	    $(".selall").hide();
	    $(".tab .info").addClass("current").siblings().removeClass("current");
		$(".tab").show();
	    $(".w_info").show();
	    iframeObj.refresh();
	}
}

//加载歌手信息时如果是空就给显示个——
function changeKong(val){
	if(val==""||!val){
		return "——";
	}else{
		return val;
	}
}

// 创建歌手内容
function getArtistInfoData (jsondata) {
	var data = jsondata;
	if(typeof(data.id)=="undefined"){
	    var name = currentObj.name;
	    name = checkSpecialChar(name,"disname");
	    currentArtistName = name;
	    $(".bread span").html(name);
	    $(".artist_head .name").html(name);
	    centerLoadingEnd("content");
	    iframeObj.refresh();
	    return;
	}
	var name = data.name;
	name = checkSpecialChar(name,"disname");
	currentArtistName = name;
	var info = data.info;
	var pic = getArtistPic(data.pic);
	pic = pic.replace("starheads/100","starheads/70");
	var likenum = data.playcnt || 0;
	$(".artist_head .pic img").attr("src",pic);
	$(".artist_head .name").html(name);
	$(".artist_head .info").html(likenum + "人喜欢").show();
	$(".bread span").html(name);
	$(".like_btn").attr("c-id",artistId);
	$(".radio_btn").attr({"c-id":artistId,"c-name":name});
	//将歌手具体信息写入歌手信息内容部分
	var liObjs = $(".songer_ziliao li");
	liObjs.eq(0).find("span").html(changeKong(returnSpecialChar(data.name)));
	liObjs.eq(1).find("span").html(changeKong(data.gender));
	var oname = data.oname;
	if(oname.substr(oname.length-1,oname.length)==";"){
		oname = oname.substr(0,oname.length-1);
	}
	liObjs.eq(2).find("span").html(changeKong(oname));
	liObjs.eq(3).find("span").html(changeKong(data.country));
	liObjs.eq(4).find("span").html(changeKong(data.language.substr(0,data.language.length-1)));
	liObjs.eq(5).find("span").html(changeKong(data.birthplace));
	liObjs.eq(6).find("span").html(changeKong(data.birthday));
	liObjs.eq(7).find("span").html(changeKong(data.constellation));
	liObjs.eq(8).find("span").html(changeKong(data.tall));
	liObjs.eq(9).find("span").html(changeKong(data.weight));
	$(".lc_xiang p").html(data.info);
	if(tabType=="info"){
		$(".w_info").show();
	    centerLoadingEnd("content");
	    iframeObj.refresh();
	}
	fobj.showLike('get','ARTIST');
	if(data.musicnum&&data.musicnum!=0){   
	    showRadio(artistId,"artist");
	}
}

// 获取歌曲列表数据
function getSongList() {
	var url = 'http://search.kuwo.cn/r.s?stype=artist2music&artistid='+artistId+'&pn='+pn+'&rn='+rn+'&sortby='+sortby+'&callback=getSongListData&show_copyright_off=1';
	getScriptData(getChargeURL(url));
}

// 创建歌曲列表
function getSongListData(jsondata) {
	var data = jsondata;
	var child = data.musiclist;
	var len = child.length;	
	var arr = [];
	var currentPn = parseInt(data.pn);
	if(!currentArtistName){
		currentArtistName = currentObj.name;	
	}
	if(psrc==""){
	    pstr = "歌手->"+currentArtistName;
	}else if(psrc.indexOf("歌手页")>-1){
		pstr = psrc;
	}else{
		pstr = psrc+currentArtistName;
	}
	for (var i = 0; i < len; i++) {
		arr[arr.length] = createArtistMusicList(child[i],i,rn,currentPn,pstr);	
	}
	var musicListStr = arr.join('');
	if (artistFrom == 'def') {
	    if(len==0){
	        $(".nothing").show();
	    }else if(len<2){
	        $(".w_song .kw_music_list").css("padding-bottom","20px");
	    }
		var total = data.total;
		var totalPage = Math.ceil(total/rn);
		var pageStr = createPage(totalPage, currentPn+1);
		$(".checkall font").html("共"+total+"首");
		$(".w_song .kw_music_list").html(musicListStr);
		if (pageStr) $(".page").html(pageStr).show();
		var index = parseInt(sortby,10);
		if (index > 2) index -= 1;
		var liobj = $(".sort_wrap li").eq(index);		
		var sortstr = liobj.find("a").html();
		$(".sort_wrap .sort").html('<i></i>'+sortstr);
		liobj.remove();	
		$(".sort_wrap").show();			
	} else if (artistFrom == 'new'){
	    if(len==0){
	        $(".nothing").show();
	    }
	    $(".checkall font").html("共"+len+"首");
		$(".w_new .kw_music_list").html(musicListStr);
		$(".w_new .kw_music_list").prev().show();	
	}
	centerLoadingEnd("content");	
	iframeObj.refresh();
}

// 获取歌手最新数据列表
function getNewList() {
	var newSongUrl = 'http://search.kuwo.cn/r.s?stype=artist2music&artistid='+artistId+'&pn=0&rn=20&sortby=0&callback=getSongListData&show_copyright_off=1';
	getScriptData(getChargeURL(newSongUrl));
	var newAlbumUrl = 'http://search.kuwo.cn/r.s?stype=albumlist&artistid='+artistId+'&pn=0&rn=10&sortby=1&callback=getAlbumListData&show_copyright_off=1';
	getScriptData(newAlbumUrl);	
	var newMvurl = 'http://search.kuwo.cn/r.s?stype=mvlist&artistid='+artistId+'&pn=0&rn=8&sortby=1&callback=getMvListData&show_copyright_off=1';
	getScriptData(getChargeURL(newMvurl));	
}

// 获取歌手专辑
function getAlbumList(){
	var url = 'http://search.kuwo.cn/r.s?stype=albumlist&artistid='+artistId+'&pn='+pn+'&rn='+albumRn+'&sortby=1&callback=getAlbumListData&show_copyright_off=1';
	getScriptData(url);
}

// 创建歌手专辑列表
function getAlbumListData(jsondata){
	var data = jsondata;
	var child = data.albumlist;
	var len = child.length;
	var arr = [];
	var xia = 0;
	var currentPn = parseInt(data.pn);
	for (var i = 0; i < len; i++) {
		arr[xia++] = createAlbumBlock(child[i],'artist');
	}
	var albumListStr = arr.join('');
	if (artistFrom == 'def') {
		if (!len && len < 1) {
			$(".nothing").show();
			centerLoadingEnd("content");
			iframeObj.refresh();		
			return;
		}		
		var total = data.total;
		var totalPage = Math.ceil(total/albumRn);
		var pageStr = createPage(totalPage, currentPn+1);
		$(".w_album .kw_album_list").html(albumListStr);
		if (pageStr) $(".page").html(pageStr).show();		
	} else if (artistFrom == 'new'){
		if (len == 0) return;
		$(".w_new .kw_album_list").prev().show();	
		$(".w_new .kw_album_list").html(albumListStr).show();	
	}
	centerLoadingEnd("content");
	iframeObj.refresh();
}

// 获取歌手MV
function getMvList(){
	var url = 'http://search.kuwo.cn/r.s?stype=mvlist&artistid='+artistId+'&pn='+pn+'&rn='+mvRn+'&sortby=1&callback=getMvListData&show_copyright_off=1';
	getScriptData(getChargeURL(url));
}

// 创建歌手MV
function getMvListData(jsondata){
	var data = jsondata;
	var child = data.mvlist;
	var len = child.length;
	var arr = [];
	var xia = 0;
	var currentPn = parseInt(data.pn);
	if(!currentArtistName){
		currentArtistName = currentObj.name;	
	}
	for (var i = 0; i < len; i++) {
		arr[xia++] = createMVBlock(child[i],'artist','',psrc+currentArtistName + '(歌手MV)');
	}
	var mvListStr = arr.join('');
	if (artistFrom == 'def') {
		if (!len && len < 1) {
			$(".nothing").show();
			centerLoadingEnd("content");
			iframeObj.refresh();		
			return;
		}		
		var total = data.total;
		var totalPage = Math.ceil(total/mvRn);
		var pageStr = createPage(totalPage, currentPn+1);
		$(".selall_mv").show();
		$(".selall_mv .checkall font").html("共"+total+"首");
		$(".w_mv .kw_mv_list").html(mvListStr);
		if (pageStr) $(".page").html(pageStr).show();				
	} else if (artistFrom == 'new'){
		if (len == 0) return;
		$(".w_new .kw_mv_list").prev().show();	
		$(".w_new .kw_mv_list").html(mvListStr).show();
	}
	centerLoadingEnd("content");
	iframeObj.refresh();
}

// 获取相似歌手
function getSimilarList(){
	var url = 'http://search.kuwo.cn/r.s?stype=similarartist&artistid='+artistId+'&callback=getSimilarListData';
	getScriptData(url);
}

// 创建歌相似歌手列表
function getSimilarListData(jsondata){
	var data = jsondata;
	var child = data.artistlist;
	var len = child.length;
	if (!len && len < 1) {
		$(".nothing").show();
		centerLoadingEnd("content");
		iframeObj.refresh();		
		return;
	}
	var arr = [];
	var xia = 0;
	for (var i = 0; i < len; i++) {
		arr[xia++] = createArtistBlock(child[i], 'similar');
	}
	var similarListStr = arr.join('');
	$(".w_similar .kw_similar_list").html(similarListStr);
	centerLoadingEnd("content");	
	iframeObj.refresh();
}

function objBindFn() {
	$(".tab a").live("click",function(){
		var source = currentObj.source;
		var sourceid = currentObj.sourceid;
		var name = currentObj.name;
		var id = currentObj.id;
		var type = $(this).attr("c-type");
		type == 'new' ? artistFrom = 'new' : artistFrom = 'def';
		var other = '|psrc='+psrc+'|bread='+bread+'|tabType='+type+'|pn=0';
		fobj.commonClick(new Node(source,sourceid,name,id,'',other));
		return false;
	});
	
	$(".page a").live("click",function(){
		var oClass = $(this).attr("class");
		if (oClass.indexOf("no") > -1) return;
		var source = currentObj.source;
		var sourceid = currentObj.sourceid;
		var name = currentObj.name;
		var id = currentObj.id;
		var pn = 0;
		var goPnNum = $(this).html();
		if (goPnNum == '上一页') {
			pn = parseInt($(".page .current").html()) - 2;
		} else if (goPnNum == '下一页'){
			pn = parseInt($(".page .current").html());
		} else {
			pn = parseInt($(this).html()) -1;
		}	
		var other = '|psrc='+psrc+'|bread='+bread+'|tabType='+tabType+'|pn='+pn+'|sortby='+sortby;
		fobj.commonClick(new Node(source,sourceid,name,id,'',other));
		return false;
	});
	
	$(".sort_wrap").live("mouseenter",function(){
		$(this).children("ul").show();
		return false;
	}).live("mouseleave",function(){
		$(this).children("ul").hide();
		return false;
	});
	
	$(".sort_wrap li").live("click",function(){
		var source = currentObj.source;
		var sourceid = currentObj.sourceid;
		var name = currentObj.name;
		var id = currentObj.id;
		var sortby = $(this).find("a").attr("c-sort");
		var other = '|psrc='+psrc+'|bread='+bread+'|tabType=song|pn=0|sortby=' + sortby;
		fobj.commonClick(new Node(source,sourceid,name,id,'',other));
		return false;
	});
	
	// 点击收藏 +-1
	$(".like_btn").live("click",function(){
	    var uid = getUserID("uid");
	    if (uid ==0 ){
	        return false;
	    }else{
	        var likenum = $(".artist_head .info").html().replace("人喜欢","");
	        likenum = parseInt(likenum,10);
	        if($(this).html()=="已收藏"){
	            likenum--;
	            if(likenum < 0) likenum = 0;
	        }else{
	            likenum++;
	        }
	        $(".artist_head .info").html(likenum+"人喜欢");    
	    }
	});
}