var currentObj;
var psrc;
var bread;
var pn;
var rn = 100;
var gedanRn = 100;
var tabType;
var currentName;
window.onload = function(){
	centerLoadingStart("content");
	currentObj = fobj.goldjson;
	commonObj = currentObj;
	commonObj.source = 40;
	createBread(commonObj,'playlist');
	psrc = getStringKey(currentObj.other,'psrc') || '';
	bread = getStringKey(currentObj.other,'bread') || '';
	pn = getStringKey(currentObj.other,'pn') || 0;
	tabType = getStringKey(currentObj.other,'tabType') || '';
	getSomeData();
	objBindFn();
};

$(window).resize(function() {
	iframeObj.refresh();
});

// 获取分类数据
function getSomeData() {
	var url = 'http://qukudata.kuwo.cn/q.k?op=query&cont=ninfo&node='+currentObj.sourceid+'&pn=0&rn=1&fmt=json&src=mbox&level=2&callback=getClassifyInfoData';
	getScriptData(url);
}

// 创建分类内容
function getClassifyInfoData(jsondata) {
	var data = jsondata;
	var name = data.ninfo.name;
	name = name.replace(/&/g,"&amp;");
	currentName = name;
	var likeNum = data.ninfo.like;
	var pic = data.ninfo.pic5 || 'img/def70.jpg';
	var child = data.child;
	$(".classify_head .pic img").attr("src",pic);
	$(".classify_head .name").html(name);
	$(".classify_head .info").html(likeNum + "人喜欢");
	$(".bread span").html(name);
	$(".common_list").hide();
	
	if (!tabType && (child[0].source == 8 || child[0].source == 12)) {
		tabType = 'song';
		$(".tab").css({"position":"static","left":"0px"});
		$(".tab").find("a").show();
	} else if (!tabType && (child[0].source != 8 || child[0].source != 12)) {
		//$(".tab").hide();
		tabType = 'classify';
	} else if (tabType && (child[0].source == 8 || child[0].source == 12)) {
	    $(".tab").css({"position":"static","left":"0px"});
		$(".tab").find("a").show();
	} else if (tabType && (child[0].source != 8 || child[0].source != 12)) {
		//$(".tab").hide();
	}
	
	if (tabType == 'song' && currentObj.source == 40) {
		$(".selall").css({"position":"static","left":"0px"});
		$(".tab").css({"position":"static","left":"0px"});
		$(".tab .song").addClass("current").siblings().removeClass("current");
		getSongList(child[0].sourceid);
	} else if (tabType == 'classify' && currentObj.source == 40) {
		$(".tab .classify").addClass("current").siblings().removeClass("current");
		getGedanList();
	} else {
		//$(".tab").hide();
		getGedanList();
	}
	iframeObj.refresh();
}

function getSongList(sourceid) {
	var url = 'http://nplserver.kuwo.cn/pl.svc?op=getlistinfo&pid='+sourceid+'&pn='+pn+'&rn='+rn+'&encode=utf-8&keyset=pl2012&identity=kuwo&callback=getSongListData';
	getScriptData(getChargeURL(url));
}

function getSongListData(jsondata){
	var data = jsondata;
	var child = data.musiclist;
	var len = child.length;
	var arr = [];
	var total = data.total;
	var totalPage = Math.ceil(total/rn);
	var currentPn = parseInt(data.pn);	
	var pageStr = createPage(totalPage, currentPn+1);
	for (var i = 0; i < len; i++) {
		arr[arr.length] = createGedanMusicList(child[i],i,rn,currentPn,psrc+currentName);	
	}
	$(".checkall font").html("共"+total+"首");
	if (pageStr) $(".page").html(pageStr).show();
	$(".kw_music_list").html(arr.join('')).show();
	centerLoadingEnd("content");
	iframeObj.refresh();
}

function getGedanList() {
	var url = 'http://qukudata.kuwo.cn/q.k?op=query&cont=ninfo&node='+currentObj.sourceid+'&pn='+pn+'&rn='+gedanRn+'&fmt=json&src=mbox&level=2&callback=getGedanListData';
	getScriptData(url);
}

function getGedanListData(jsondata) {
	var data = jsondata;
	var source = data.ninfo.source;
	var sourceid = data.ninfo.id;
	var name = data.ninfo.name;
	var disname = data.ninfo.disname;
	var child = data.child;
	var len = child.length;
	var arr = [];
	var total = data.total;
	var someObj = {};
	someObj.psrc = psrc + disname + '->';
	someObj.bread = bread + ';' + source + ',' + sourceid + ',' + name + ',0';
	for (var i = 0; i < len; i++) {
		if (child[i].source == 8 || child[i].source == 12) {
			arr[arr.length] = createPlaylistBlock(child[i],'classify',false,someObj);	
		} else if (child[i].source == 5) {
			arr[arr.length] = createClassifyBlock(child[i],someObj);
		} else if (child[i].source == 13) {
			arr[arr.length] = createAlbumBlock(child[i]);
		} else {
			total -= 1;
		}
	}
	var totalPage = Math.ceil(total/gedanRn);
	var currentPn = parseInt(data.pn);	
	var pageStr = createPage(totalPage,(currentPn+1));
	if (pageStr) $(".page").html(pageStr).show();
	$(".kw_album_list").html(arr.join('')).show();
	centerLoadingEnd("content");
	iframeObj.refresh();
}

function objBindFn() {
	$(".tab a").live("click",function(){
		var source = currentObj.source;
		var sourceid = currentObj.sourceid;
		var name = currentObj.name;
		var id = currentObj.id;
		var type = $(this).attr("c-type");
		var other = '|psrc='+psrc+'|bread='+bread+'|tabType='+type+'|pn=0';
		fobj.commonClick(new Node(source,sourceid,name,id,'',other));
		return false;
	});
	
	$(".page a").live("click",function(){
		var oClass = $(this).attr("class");
		if (oClass.indexOf("no") > -1) return;
		var source = currentObj.source;
		var sourceid = currentObj.sourceid;
		var name = currentObj.name;
		var id = currentObj.id;
		var pn = 0;
		var goPnNum = $(this).html();
		if (goPnNum == '上一页') {
			pn = parseInt($(".page .current").html()) - 2;
		} else if (goPnNum == '下一页'){
			pn = parseInt($(".page .current").html());
		} else {
			pn = parseInt($(this).html()) -1;
		}	
		var other = '|psrc='+psrc+'|bread='+bread+'|tabType='+tabType+'|pn='+pn;
		fobj.commonClick(new Node(source,sourceid,name,id,'',other));
		return false;
	});	
}